<?php
namespace Bushelpowered\Api\Aggregator\Crm\V1\Response;
        
class CustomerSearchResponse 
{
    public string $id;
    public string $name;
    /** @var string[] $accountNames */
    public array $accountNames;
    /** @var string[] $phones */
    public array $phones;
    /** @var string[] $emails */
    public array $emails;

    /**
     * @param  string[]  $accountNames 
     * @param  string[]  $phones 
     * @param  string[]  $emails 
     */
    public function __construct(string $id, string $name, array $accountNames, array $phones, array $emails)
    {
        $this->id = $id;
        $this->name = $name;
        $this->accountNames = $accountNames;
        $this->phones = $phones;
        $this->emails = $emails;
    }
    

}