<?php
namespace Bushelpowered\Api\Platform\Commodity\V1\Request;
        
class GetAllCommodityVarietiesRequest 
{
    /** @var string[]|null $commodityGroupIds */
    public ?array $commodityGroupIds = null;
    /** @var string[]|null $commoditySubgroupIds */
    public ?array $commoditySubgroupIds = null;

    /**
     * @param  string[]|null  $commodityGroupIds 
     * @param  string[]|null  $commoditySubgroupIds 
     */
    public function __construct(?array $commodityGroupIds, ?array $commoditySubgroupIds)
    {
        $this->commodityGroupIds = $commodityGroupIds;
        $this->commoditySubgroupIds = $commoditySubgroupIds;
    }
    

}