<?php
namespace Bushelpowered\Api\Trade\Futures\V1;
        
class GetFuturesMetadata
{
    public function __construct(
        public ?string $optionalFuturesAppCompany,
        public ?array $extraOptionalMetadata = null,
    ) {}
    
    public function getMetadata() {
        $array = [];
        
        
        if ($this->optionalFuturesAppCompany) {
            $array['App-Company'] = $this->optionalFuturesAppCompany;
        }
    
        
        return $this->extraOptionalMetadata ? array_merge($array, $this->extraOptionalMetadata) : $array;
    }
}