<?php
namespace Bushelpowered\Api\Accountpayablebalance\V1\Request;
        
class GetAccountPayableBalancesRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var string[]|null $ids */
    public ?array $ids = null;
    /** @var string[]|null $accountIds */
    public ?array $accountIds = null;
    /** @var string[]|null $tenantIds */
    public ?array $tenantIds = null;
    /** @var string[]|null $integrationIds */
    public ?array $integrationIds = null;
    public ?bool $includeSoftDeleted = null;
    public ?\Bushelpowered\Api\Accountpayablebalance\V1\Request\AccountPayableBalancePagination $pagination = null;

    /**
     * @param  string[]|null  $ids 
     * @param  string[]|null  $accountIds 
     * @param  string[]|null  $tenantIds 
     * @param  string[]|null  $integrationIds 
     */
    public function __construct(?array $ids, ?array $accountIds, ?array $tenantIds, ?array $integrationIds, ?bool $includeSoftDeleted, ?\Bushelpowered\Api\Accountpayablebalance\V1\Request\AccountPayableBalancePagination $pagination)
    {
        $this->ids = $ids;
        $this->accountIds = $accountIds;
        $this->tenantIds = $tenantIds;
        $this->integrationIds = $integrationIds;
        $this->includeSoftDeleted = $includeSoftDeleted;
        $this->pagination = $pagination;
    }
    
    public function getPagination(): ?\Bushelpowered\Api\Accountpayablebalance\V1\Request\AccountPayableBalancePagination
    {
        return $this->pagination;
    }
}