<?php
namespace Bushelpowered\Api\Common\Event;
        
interface RawRecord
{
    public function gettenantId(): string;
    public function getdatasourceId(): string;
    public function getintegrationId(): string;
    public function getsourceId(): string;
    public function getsourceAccountId(): ?string;
    public function getsourceLocationId(): ?string;
        /**
         * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getsourceUpdatedAt(): string;
        /**
         * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getsourceCreatedAt(): string;
        /**
         * @return null|string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getsourceDeletedAt(): ?string;
}